This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 433491 - [RHEL5] virt-install: error: no such option: --noreboot
[RHEL5] virt-install: error: no such option: --noreboot
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: python-virtinst (Show other bugs)
5.2
All Linux
low Severity high
: rc
: ---
Assigned To: Daniel Berrange
Virtualization Bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-19 11:55 EST by Jeff Burke
Modified: 2009-12-14 16:16 EST (History)
1 user (show)

See Also:
Fixed In Version: RHEA-2008-0371
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 12:45:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add --noreboot flag (1.47 KB, patch)
2008-02-19 12:35 EST, Daniel Berrange
no flags Details | Diff

  None (edit)
Description Jeff Burke 2008-02-19 11:55:03 EST
Description of problem:
 virt-install is missing the --noreboot option.

Version-Release number of selected component (if applicable):
kernel-xen-2.6.18-81.el5
libvirt-0.3.3-5.el5
libvirt-python-0.3.3-5.el5
rh-tests-xen-install-2.0-50
selinux-policy-2.4.6-121.el5
virt-manager-0.5.3-2.el5
xen-3.0.3-53.el5

How reproducible:
 Always

Steps to Reproduce:
1. Try to install a xen guest and use the --noreboot option
  
Actual results:
 virt-install: error: no such option: --noreboot

Expected results:
 This should work like it did in U1

Additional info:
Comment 1 Jeff Burke 2008-02-19 11:56:29 EST
Original https://bugzilla.redhat.com/show_bug.cgi?id=249708
Comment 2 Daniel Berrange 2008-02-19 12:24:50 EST
Patch was lost in the rebase - trivial to reapply, and I'll make sure its sent
upstream this time :-(
Comment 3 Daniel Berrange 2008-02-19 12:35:21 EST
Created attachment 295312 [details]
Add --noreboot flag
Comment 4 Daniel Berrange 2008-02-19 12:47:57 EST
ALso merged upstream

http://hg.et.redhat.com/virt/applications/virtinst--devel?cs=a99cfa7d021e
Comment 6 Daniel Berrange 2008-02-20 15:20:04 EST
Fix built into python-virtinst-0.300.2-4.el5
Comment 9 errata-xmlrpc 2008-05-21 12:45:38 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2008-0371.html

Note You need to log in before you can comment on or make changes to this bug.